# $Revision: 1.19 $, $Date: 2012/06/21 10:18:20 $
%define		mod_name	apparmor
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: AppArmor
Summary(pl.UTF-8):	Moduł Apache'a: AppArmor
Name:		apache-mod_%{mod_name}
Version:	2.8.0
Release:	1
Epoch:		1
License:	LGPL v2.1
Group:		Networking/Daemons/HTTP
Source0:	http://launchpad.net/apparmor/2.8/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	eaf90c52992df3d205a753b2933595fe
URL:		http://apparmor.wiki.kernel.org/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	libapparmor-devel >= 1:%{version}
Requires:	apache(modules-api) = %apache_modules_api
Requires:	libapparmor >= 1:%{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
mod_apparmor adds support to Apache 2 to provide AppArmor confinement
to individual CGI scripts handled by Apache modules like mod_php and
mod_perl. This package is part of a suite of tools that used to be
named SubDomain.

%description -l pl.UTF-8
mod_apparmor dodaje do Apache'a 2 obsługę ograniczeń AppArmor dla
poszczególnych skryptów CGI obsługiwanych przez moduły Apache'a takie
jak mod_php czy mod_perl. Ten pakiet jest częścią zestawu narzędzi
zwanych SubDomain.

%prep
%setup -q -n apparmor-%{version}

%build
%{__make} -C changehat/mod_apparmor mod_%{mod_name}.so \
	APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT

cd changehat/mod_apparmor

install -D mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so
install -D mod_%{mod_name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/00_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/00_mod_apparmor.conf
%attr(755,root,root) %{_pkglibdir}/mod_apparmor.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_apparmor.spec,v $
Revision 1.19  2012/06/21 10:18:20  arekm
- up to 2.8.0

Revision 1.18  2012/04/07 05:59:43  qboosh
- License is LGPL (v2.1)
- libapparmor epoch + install time dependency

Revision 1.17  2012/04/05 20:54:16  arekm
- up to 2.7.2

Revision 1.16  2011/04/01 07:34:15  arekm
- up to 2.6.1

Revision 1.15  2011/03/13 15:21:26  arekm
- up to 2.6.0

Revision 1.14  2010/03/16 21:59:43  arekm
- up to 2.5

Revision 1.13  2009/02/02 22:49:16  glen
- no httpd.conf dir provided in th; rel 2

Revision 1.12  2008/10/25 15:50:01  blues
- HTTP group

Revision 1.11  2008/06/09 21:47:50  arekm
- up to 2.3.908

Revision 1.10  2008-05-29 21:22:39  arekm
- up to 2.1.2.907

Revision 1.9  2008-01-27 22:19:08  dzeus
- rel. 1

Revision 1.8  2007-12-09 10:42:22  glen
- apache-apxs -> %{apxs} in BR

Revision 1.7  2007-06-07 10:50:52  shadzik
- BR s@%{apxs}@apache-apxs@g

Revision 1.6  2007/04/14 00:39:42  zbyniu
- up to 2.0.1-306; epoch 1

Revision 1.5  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.3  2006/12/11 20:24:31  glen
- no macro in description for adapter to wordwrap

Revision 1.2  2006/12/11 15:05:20  qboosh
- pl, unified caps

Revision 1.1  2006/12/10 22:05:37  zbyniu
- new
